Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Attribute

public interface Attribute

A generic attribute that can be associatted with a features such as MiscFeature.

Author:
  Craig Melsopp
See Also:
  `MiscFeature`

Method Summary
`java.lang.String` | `getCode()` Code for this attribute
`java.lang.String` | `getDescription()` Description for this attribute.
`java.lang.String` | `getName()` Human readable name for this attribute.
`java.lang.String` | `getValue()` Value of this attribute
`void` | `setCode(java.lang.String code)` Code for this attribute.
`void` | `setDescription(java.lang.String description)` Description for this attribute.
`void` | `setName(java.lang.String name)` Human readable name for this attribute
`void` | `setValue(java.lang.String value)` Value of this attribute.

Method Detail

### getName

    public java.lang.String getName()

  Human readable name for this attribute.

  Returns:
    Human readable name for this attribute.

### setName

    public void setName(java.lang.String name)

  Human readable name for this attribute

  Parameters:
    `name` - Human readable name for this attribute.

### getDescription

    public java.lang.String getDescription()

  Description for this attribute.

  Returns:
    Description for this attribute.

### setDescription

    public void setDescription(java.lang.String description)

  Description for this attribute.

  Parameters:
    `description` - Description for this attribute.

### getCode

    public java.lang.String getCode()

  Code for this attribute

  Returns:
    Code for this attribute.

### setCode

    public void setCode(java.lang.String code)

  Code for this attribute.

  Parameters:
    `code` - Code for this attribute.

### getValue

    public java.lang.String getValue()

  Value of this attribute

  Returns:
    Value of this attribute.

### setValue

    public void setValue(java.lang.String value)

  Value of this attribute.

  Parameters:
    `value` - Value of this attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD